/*
* Code by Bodysoulspirit. Public Domain.
*/

#include "node.h"

VuoModuleMetadata({
					 "title" : "Make Rounded Rectangle Shader",
					 "keywords" : ["pill"],
					 "version" : "1.0.0"
});

void nodeEvent
(
	VuoInputData(VuoColor, {"default":{"r":1,"g":1,"b":1,"a":1}}) color,
	VuoInputData(VuoReal, {"default":0.5}) sharpness,
	VuoInputData(VuoReal, {"default":0.5}) roundness,
	VuoInputData(VuoBoolean, {"default":true}) transparency,
	VuoInputData(VuoReal, {"default":1.0}) width,
	VuoInputData(VuoReal, {"default":1.0}) height,
	VuoOutputData(VuoShader) shader
)
{
	VuoReal aspect = width/height;
	*shader = VuoShader_makeUnlitRoundedRectangleShader(color, sharpness, roundness, aspect);
	if (transparency == true){
		(*shader)->isTransparent = true;
	}
	else{
		(*shader)->isTransparent = false;
	}
}
